JBoss API: Class XmlFileLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class XmlFileLoader

    java.lang.Object
      |
      +--org.jboss.metadata.XmlFileLoader

public class XmlFileLoader
extends java.lang.Object

XmlFileLoader class is used to read ejb-jar.xml, standardjboss.xml, jboss.xml files, process them using DTDs and create ApplicationMetaData object for future using

Version:
  $Revision: 1.15.2.7 $ Revisions: 20010620 Bill Burke: Print an error message when failing to load standardjboss.xml or jboss.xml. It was a pain to debug a standardjboss.xml syntax error.
Author:
  Bill Burke, Sebastien Alborini, Wolfgang Werner, Darius Davidavicius, Scott Stark
See Also:

Constructor Summary
`XmlFileLoader()`
`XmlFileLoader(boolean validateDTDs)`

Method Summary
`java.lang.ClassLoader` | `getClassLoader()` Gets the class loader
`static boolean` | `getDefaultValidateDTDs()`
`org.w3c.dom.Document` | `getDocument(java.io.InputStream is, java.lang.String inPath)` Parses the xml document in is and created the DOM Document.
`static org.w3c.dom.Document` | `getDocument(java.net.URL url)` Invokes getDocument(url, defaultValidateDTDs)
`static org.w3c.dom.Document` | `getDocument(java.net.URL url, boolean validateDTDs)` Get the xml file from the URL and parse it into a Document object.
`org.w3c.dom.Document` | `getDocumentFromURL(java.net.URL url)` Get the xml file from the URL and parse it into a Document object.
`ApplicationMetaData` | `getMetaData()`
`boolean` | `getValidateDTDs()` Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`ApplicationMetaData` | `load()` load() This method creates the ApplicationMetaData.
`void` | `setClassLoader(java.lang.ClassLoader cl)` Set the class loader
`static void` | `setDefaultValidateDTDs(boolean validate)`
`void` | `setValidateDTDs(boolean validate)` Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFileLoader

    public XmlFileLoader()

### XmlFileLoader

    public XmlFileLoader(boolean validateDTDs)

Method Detail

### getDefaultValidateDTDs

    public static boolean getDefaultValidateDTDs()

### setDefaultValidateDTDs

    public static void setDefaultValidateDTDs(boolean validate)

### getMetaData

    public ApplicationMetaData getMetaData()

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader cl)

  Set the class loader
  Parameters:
    `ClassLoader` - cl - class loader

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Gets the class loader
  Returns:
    ClassLoader - the class loader

### getValidateDTDs

    public boolean getValidateDTDs()

  Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### setValidateDTDs

    public void setValidateDTDs(boolean validate)

  Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### load

    public ApplicationMetaData load()
                             throws java.lang.Exception

  load() This method creates the ApplicationMetaData. The configuration files are found in the classLoader. The default jboss.xml and jaws.xml files are always read first, then we override the defaults if the user provides them

### getDocument

    public static org.w3c.dom.Document getDocument(java.net.URL url)
                                            throws DeploymentException

  Invokes getDocument(url, defaultValidateDTDs)

### getDocument

    public static org.w3c.dom.Document getDocument(java.net.URL url,
                                                   boolean validateDTDs)
                                            throws DeploymentException

  Get the xml file from the URL and parse it into a Document object. Calls new XmlFileLoader(validateDTDs).getDocumentFromURL(url);
  Parameters:
    `url,` - the URL from which the xml doc is to be obtained.
  Returns:
    Document

### getDocumentFromURL

    public org.w3c.dom.Document getDocumentFromURL(java.net.URL url)
                                            throws DeploymentException

  Get the xml file from the URL and parse it into a Document object. Calls getDocument(url.openStream(), url.getPath());
  Parameters:
    `url,` - the URL from which the xml doc is to be obtained.
  Returns:
    Document

### getDocument

    public org.w3c.dom.Document getDocument(java.io.InputStream is,
                                            java.lang.String inPath)
                                     throws DeploymentException

  Parses the xml document in is and created the DOM Document. DTD validation is enabled if validateDTDs is true and we install an EntityResolver and ErrorHandler to resolve J2EE DTDs and handle errors.
  Parameters:
    `is,` - the InputStream container the xml descriptor to parse
    `inPath,` - the path information for the xml doc. This is used for only for error reporting.
  Returns:
    Document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.